Skip to main content
`Ctrl`+`K`

# VecNormalizeComplex

Normalizes a possibly complex vector by the 2-norm.

## Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecNormalizeComplex(Vec xr,Vec xi,PetscBool iscomplex,PetscReal *norm)

Collective

## Input Parameters

- xr - the real part of the vector (overwritten on output)

- xi - the imaginary part of the vector (not referenced if `iscomplex` is false)

- iscomplex - a flag indicating if the vector is complex

## Output Parameter

- norm - the vector norm before normalization (can be set to `NULL`)

## See Also

`BVNormalize()`

## Level

developer

## Location

src/sys/vec/vecutil.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages